import { BasicMouseController } from "parsegraph-input";
import Navport from "./Navport";
import { PaintedNode } from "parsegraph-artist";
export declare const INPUT_LAYOUT_TIME = 15;
export declare const WHEEL_MOVES_FOCUS = false;
export declare enum DefaultClickBehavior {
    SHOW_ALL = 0,
    DO_NOTHING = 1
}
export default class NavportMouseController extends BasicMouseController {
    _defaultClick: DefaultClickBehavior;
    _attachedMouseListener: Function;
    _mouseVersion: number;
    _mousePos: [number, number];
    _nav: Navport;
    _clickedNode: PaintedNode;
    constructor(nav: Navport);
    nav(): Navport;
    savePos(x: number, y: number): void;
    carousel(): import("..").Carousel;
    update(t: Date): boolean;
    mouseDragListener(x: number, y: number, dx: number, dy: number): boolean;
    mousedown(button: any, downTime: number, x: number, y: number): boolean;
    mousemove(x: number, y: number): boolean;
    defaultClickBehavior(): DefaultClickBehavior;
    setDefaultClickBehavior(behavior: DefaultClickBehavior): void;
    checkForNodeClick(x: number, y: number): boolean;
    focusedNode(): PaintedNode;
    scheduleRepaint(): void;
    mouseup(button: any, downTime: number, x: number, y: number): boolean;
    wheel(mag: number, x: number, y: number): boolean;
    mouseVersion(): number;
    mouseChanged(): void;
}
//# sourceMappingURL=NavportMouseController.d.ts.map